# 
# $Id$
# 
# [ Description ]
# 
# Makefile
# 
# DIR_MORPHEO must be defined

Register_translation_unit			= yes

ifndef Behavioural
include 					$(DIR_MORPHEO)/Behavioural/Makefile.deps
endif
ifndef Dependency_checking_unit
include						$(DIR_MORPHEO)/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Register_translation_unit/Dependency_checking_unit/Makefile.deps
endif
ifndef Free_List_unit
include						$(DIR_MORPHEO)/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Register_translation_unit/Free_List_unit/Makefile.deps
endif
ifndef Register_Address_Translation_unit
include						$(DIR_MORPHEO)/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Register_translation_unit/Register_Address_Translation_unit/Makefile.deps
endif
ifndef Stat_List_unit
include						$(DIR_MORPHEO)/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Register_translation_unit/Stat_List_unit/Makefile.deps
endif
ifndef Register_translation_unit_Glue
include						$(DIR_MORPHEO)/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Register_translation_unit/Register_translation_unit_Glue/Makefile.deps
endif



#-----[ Directory ]----------------------------------------

Register_translation_unit_DIR			=	$(DIR_MORPHEO)/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Register_translation_unit

#-----[ Library ]------------------------------------------

Register_translation_unit_LIBRARY		= 	-lRegister_translation_unit			\
							$(Behavioural_LIBRARY)				\
							$(Register_Address_Translation_unit_LIBRARY)	\
							$(Free_List_unit_LIBRARY)			\
							$(Stat_List_unit_LIBRARY)			\
							$(Dependency_checking_unit_LIBRARY)		\
							$(Register_translation_unit_Glue_LIBRARY)

Register_translation_unit_DIR_LIBRARY		=	-L$(Register_translation_unit_DIR)/lib		\
							$(Behavioural_DIR_LIBRARY)			\
							$(Register_Address_Translation_unit_DIR_LIBRARY)\
							$(Free_List_unit_DIR_LIBRARY)			\
							$(Stat_List_unit_DIR_LIBRARY)			\
							$(Dependency_checking_unit_DIR_LIBRARY)		\
							$(Register_translation_unit_Glue_DIR_LIBRARY)

#-----[ Rules ]--------------------------------------------

Register_translation_unit_library		:
						@\
						$(MAKE) Behavioural_library;				\
						$(MAKE) Register_Address_Translation_unit_library;	\
						$(MAKE) Free_List_unit_library;				\
						$(MAKE) Stat_List_unit_library;				\
						$(MAKE) Dependency_checking_unit_library;		\
						$(MAKE) Register_translation_unit_Glue_library;		\
						$(MAKE) --directory=$(Register_translation_unit_DIR) --makefile=Makefile;

Register_translation_unit_library_clean	:
						@\
						$(MAKE) Behavioural_library_clean;			\
						$(MAKE) Register_Address_Translation_unit_library_clean;\
						$(MAKE) Free_List_unit_library_clean;			\
						$(MAKE) Stat_List_unit_library_clean;			\
						$(MAKE) Dependency_checking_unit_library_clean;		\
						$(MAKE) Register_translation_unit_Glue_library_clean;	\
						$(MAKE) --directory=$(Register_translation_unit_DIR) --makefile=Makefile clean;
